Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Movie player for GNOME
Name:		totem
Version:	2.26.1
Release:	2
License:	GNU/GPL
Group:		Multimedia/Video
URL:		http://www.hadess.net/totem.php3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
%define		PYVER	2.5
%define gstreamer_version	0.10.22
%define gstreamer_plugins_base_version	0.10.22
%define gstreamer_plugins_good_version	0.10.14

#Sources:
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem/2.26/%{name}-%{version}.tar.bz2
Source200:	totem-bin-backend-ondemand.sh
Source250:	fixit

#Patches:
Patch0:		totem-xul-4.patch

Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf
Requires(post): desktop-file-utils
Requires(post): scrollkeeper
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper

Requires: gnome-desktop
Requires: gstreamer10 >= %gstreamer_version
Requires: gst-plugins-base >= %gstreamer_plugins_base_version
Requires: gst-plugins-good >= %gstreamer_plugins_good_version
Requires: iso-codes
Requires: totem-gstreamer = %{version}-%{release}

#Manual build dependencies
BuildRequires: pkg-config
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: gstreamer10-devel >= %gstreamer_version
BuildRequires: gst-plugins-base-devel >= %gstreamer_plugins_base_version
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-vfs-devel
BuildRequires: libglade-devel
BuildRequires: perl-XML-Parser
BuildRequires: iso-codes-devel
BuildRequires: xulrunner-devel
BuildRequires: gnome-icon-theme
BuildRequires: nautilus-devel
BuildRequires: libXt-devel
BuildRequires: hal-devel
BuildRequires: gnome-doc-utils
BuildRequires: control-center-devel
BuildRequires: gnome-python-devel
BuildRequires: PyGTK-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libbonobo-devel
BuildRequires: libepc-devel
BuildRequires: libepc-ui
BuildRequires: libgalago-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libXxf86vm-devel
BuildRequires: nautilus-extensions
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: python-devel
BuildRequires: sqlite-devel
BuildRequires: totem-pl-parser-devel
BuildRequires: tracker-devel
BuildRequires: xine-lib-devel
BuildRequires: zlib-devel

%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%package	gstreamer
Summary:	Gstreamer backend for Totem
Group:		Multimedia
Provides:	%{name}-backend
Provides:	%{name}-gstreamer
Obsoletes:	%{name}-gstreamer < 2.23.0
Requires:	%{name} = %{version}
Requires:	gstreamer10 >= %gstreamer_version
Requires:	gst-plugins-base >= %gstreamer_plugins_base_version
Requires:	gst-plugins-good >= %gstreamer_plugins_good_version
BuildRequires:	gstreamer10-devel >= %gstreamer_version
BuildRequires:	gst-plugins-base-devel >= %gstreamer_plugins_base_version
BuildRequires:	gst-plugins-good >= %gstreamer_plugins_good_version

%description	gstreamer
This package provides the gstreamer backend for the Totem media player.

%package	xine
Summary:	Xine backend for Totem
Group:		Multimedia
Provides:	%{name}-backend
Provides:	%{name}-xine
Obsoletes:	%{name}-xine < 2.23.0
Requires:	%{name} = %{version}
Requires:	xine-lib
BuildRequires:	xine-lib-devel

%description	xine
This package provides the xine backend for the Totem media player.

%package	mozplugin
Summary:	Mozilla plugin for Totem
Group:		Internet/Plugins
Requires:	firefox

%description	mozplugin
Totem is simple movie player for the Gnome desktop. The mozilla plugin
for totem allows totem to be embeded into a web browser. 

%package	galago
Summary:	Galago (Instant Messenger status) plugin for Totem
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	galago
A plugin to allow Totem to set Instant Messenger statuses when
playing a movie in fullscreen.

Your Instant Messenging program might require a plugin to take
advantage of this feature.

%package	youtube
Summary:	YouTube plugin for Totem
Group:		Multimedia
Requires:	python-gdata
Requires:	%{name} = %{version}-%{release}

%description	youtube
A plugin to allow browsing YouTube videos, and watching them.

To play back the videos however, you will need codecs that are not
available in the Fedora repositories.

%package	tracker
Summary:	Tracker-based video search plugin for Totem
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	tracker
A plugin to allow searching local videos, based on their tags, metadata,
or filenames, as indexing by the Tracker indexer.

%package	publish
Summary:	Share your playlist with other Totems on the local network
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	publish
A plugin to allow you to share your current playlist (and the files included
in that playlist) with other Totems on the same local network.

%package	nautilus
Summary:	Video and Audio Properties tab for Nautilus
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}
Provides:	totem-nautilus-xine
Provides:	totem-nautilus-gstreamer
Obsoletes:	totem-nautilus-xine < 2.23.0
Obsoletes:	totem-nautilus-gstreamer < 2.23.0

%description	nautilus
A Nautilus extension that shows the properties of audio and video files in•
the properties dialogue.

%post
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gnome/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gnome/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gnome/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%post gstreamer -p /sbin/ldconfig

%post xine -p /sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gnome/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gnome/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gnome/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gnome/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gnome/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gnome/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun gstreamer -p /sbin/ldconfig

%postun xine -p /sbin/ldconfig

%prep
%setup -q -c
# Whatever needs to be changed in both copies do here
## remember to update me when changing %doc
cp %{SOURCE250} .
./fixit --all

for i in AUTHORS COPYING NEWS README TODO;do
  cp totem-%{version}/$i .
done

pushd totem-%{version}
#%patch0 -p0 -b .xulrunner

# regen
#aclocal
#automake
#autoconf
popd

# duplicate sources
cp -a totem-%{version} xine
mv totem-%{version} gstreamer

%build
pushd gstreamer
# try to work around a problem where gst-inspect does 
# not find playbin the first time around
DBUS_FATAL_WARNINGS=0 /usr/bin/gst-inspect-0.10 --print-all > /dev/null
export MOZILLA_PLUGINDIR=%{_libdir}/mozilla/plugins

%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/totem \
--enable-nautilus \
--disable-scrollkeeper \
PYTHON=/usr/bin/python%{PYVER}

make %{?_smp_mflags}
popd

# Build the xine-lib backend with minimum dependencies
pushd xine
export MOZILLA_PLUGINDIR=%{_libdir}/mozilla/plugins
%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/totem \
--enable-xine \
--disable-gstreamer \
--disable-mozilla   \
--disable-nautilus  \
--disable-scrollkeeper  \
--disable-nvtv \
PYTHON=/usr/bin/python%{PYVER}

cd src/backend/

make %{?_smp_mflags}

popd

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# GSTREAMER INSTALL
pushd gstreamer/
make install DESTDIR=$RPM_BUILD_ROOT
# move the backend library away
mv $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0

# language hack
%find_lang %{name} --with-gnome
mv %{name}.lang ../
popd

# XINE INSTALL
pushd xine/src/backend
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget-xine.so.0.0.0
popd

# Restore the default backend
ln -sf %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0

rm -rf $RPM_BUILD_ROOT%{_libdir}/totem/plugins/*/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/libbaconvideowidget*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/totem/plugins/bemused/

%find_lang %{name} --with-gnome

install -m755 %{SOURCE200} $RPM_BUILD_ROOT%{_bindir}/%{name}-backend

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%config %_sysconfdir/gnome/gconf/schemas/totem.schemas
%config %_sysconfdir/gnome/gconf/schemas/totem-handlers.schemas
%config %_sysconfdir/gnome/gconf/schemas/totem-video-thumbnail.schemas
%_bindir/%{name}
%_bindir/%{name}-backend
%_bindir/%{name}-video-thumbnailer
%_bindir/%{name}-video-indexer
%_bindir/%{name}-audio-preview
%_applications
%_datadir/%{name}
%_libdir/totem/totem/totem-bugreport.py*
%_libdir/libbaconvideowidget.so*
%_libdir/totem/plugins/brasero-disc-recorder
%_libdir/totem/plugins/coherence_upnp
%_libdir/totem/plugins/gromit
%_libdir/totem/plugins/jamendo
%_libdir/totem/plugins/media-player-keys
%_libdir/totem/plugins/ontop
%_libdir/totem/plugins/opensubtitles
%_libdir/totem/plugins/properties
%_libdir/totem/plugins/pythonconsole
%_libdir/totem/plugins/screensaver
%_libdir/totem/plugins/screenshot
%_libdir/totem/plugins/skipto
%_libdir/totem/plugins/totem
%_libdir/totem/plugins/thumbnail
%_datadir/icons
%_datadir/gtk-doc
%_mandir

%files nautilus
%defattr(-, root, root)
%_libdir/nautilus/extensions-2.0/*.so*

%files galago
%defattr(-, root, root)
%_libdir/totem/plugins/galago

%files youtube
%defattr(-, root, root)
%_libdir/totem/plugins/youtube

%files tracker
%defattr(-, root, root)
%_libdir/totem/plugins/tracker

%files mozplugin
%defattr(-, root, root)
%_libdir/mozilla/plugins
%_libdir/totem/totem-plugin-viewer

%files publish
%defattr(-, root, root)
%_libdir/totem/plugins/publish

%files gstreamer
%_libdir/libbaconvideowidget.so.0.0.0
%_libdir/libbaconvideowidget-gstreamer.so.0.0.0

%files xine
%_libdir/libbaconvideowidget-xine.so.0.0.0

%changelog
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.1-2
- rebuilt with explixit /usr/bin/python2.5
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.3-1
- Version update
* Mon Mar 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.23.0-2
- rebuild, changed moz-plugin group to Internet/Plugins
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 2.23.0-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update, switched to xine backend
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 16 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.3-1
- Initial release